/* All of .settings's CSS content's here for a slightly cleaner code */
:root {
  --base-width: 400;
  --base-height: 620;
  --vwUnit: calc(100vw / var(--base-width));
  --vhUnit: calc(100vh / var(--base-height));
}

.settings{
    position: relative;
    width: 100%;
    margin-top: 20%;
    height: 80%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
}

 .settings .bottom{
    left: 10%;
    width: 80%;
    height: 15%;
    text-align: center;
    color: rgb(68, 68, 68);
}

.settings #back{
    color: rgb(18, 18, 246);
    text-decoration: underline;
}

.settings .bottom a{
    color: #3232a3;
}

.settings .option{
    width: 80%;
    height: 10%;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: row;

    border-bottom: 1px solid #3a3e41;
    padding-top: 7px;
    padding-bottom: 7px;
    font-size: 30px;
}

.settings .option h1{
    width: 75%;
    text-align: left;
    font-size: 25px;
    color: #272a2b;
}

.settings .option i{
    color: #1c1e1f;
}

.settings #donate i{
    color: #5A3AD8;
}

.settings #donate h1{
    color: #5A3AD8;
    width: calc(86%);
}

.settings .engineSettings{
    display: block;
    height: 90%;
    width: 90%;
}

.settings .engineSettings h2{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.settings .engineSettings .section{
    margin-bottom: 25px;
}

.settings .engineSettings .section h3{
    font-size: calc(14 * var(--vhUnit));
    margin: 0;
}

.settings .engineSettings .section p{
    margin: 0;
    font-size: calc(8 * var(--vhUnit));
    margin-bottom: 2px;
    width: 100%;
    color: #474747;
}   

.settings .engineSettings .resultPrioritizer{
    height: 37%;
    max-height: 40%;
}

.settings .engineSettings .resultPrioritizer #priorityList{
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    flex-direction: column;
    height: 90%;
}

.settings .engineSettings .resultPrioritizer .priority-item {
    background: #ebedf1;
    padding: calc(7 * var(--vhUnit));
    border-radius: 10px;
    cursor: grab;
    transition: 0.2s ease;
    width: 90%;
    margin-left: 5px;
}

.settings .engineSettings .resultPrioritizer .priority-item.dragging {
    opacity: 0.5;
}

.settings .engineSettings .features{
    height: 20%;
    
    display: flex;
    align-items: baseline;
    justify-content: space-around;
    flex-direction: column;
}

.settings .engineSettings .option-group label{
    display: block;
    margin-left: 3px;
}